| The Gaudi Framework v32r1 (f65d50dc)

Public Attributes | List of all members
pfm_gen_ia32_sel_reg_t Union Reference

`#include <src/component/perfmon/pfmlib_gen_ia32.h>`

## Public Attributes
unsigned long long | val
struct {
unsigned long sel_event_select: 8
unsigned long sel_unit_mask: 8
unsigned long sel_usr: 1
unsigned long sel_os: 1
unsigned long sel_edge: 1
unsigned long sel_pc: 1
unsigned long sel_int: 1
unsigned long sel_any: 1
unsigned long sel_en: 1
unsigned long sel_inv: 1
unsigned long sel_cnt_mask: 8
unsigned long sel_res2: 32
} | perfevtsel

## Detailed Description

Definition at line 54 of file pfmlib_gen_ia32.h.

## Member Data Documentation

## ◆ perfevtsel

struct { ... } pfm_gen_ia32_sel_reg_t::perfevtsel

## ◆ sel_any

unsigned long pfm_gen_ia32_sel_reg_t::sel_any

Definition at line 64 of file pfmlib_gen_ia32.h.

## ◆ sel_cnt_mask

unsigned long pfm_gen_ia32_sel_reg_t::sel_cnt_mask

Definition at line 67 of file pfmlib_gen_ia32.h.

## ◆ sel_edge

unsigned long pfm_gen_ia32_sel_reg_t::sel_edge

Definition at line 61 of file pfmlib_gen_ia32.h.

## ◆ sel_en

unsigned long pfm_gen_ia32_sel_reg_t::sel_en

Definition at line 65 of file pfmlib_gen_ia32.h.

## ◆ sel_event_select

unsigned long pfm_gen_ia32_sel_reg_t::sel_event_select

Definition at line 57 of file pfmlib_gen_ia32.h.

## ◆ sel_int

unsigned long pfm_gen_ia32_sel_reg_t::sel_int

Definition at line 63 of file pfmlib_gen_ia32.h.

## ◆ sel_inv

unsigned long pfm_gen_ia32_sel_reg_t::sel_inv

Definition at line 66 of file pfmlib_gen_ia32.h.

## ◆ sel_os

unsigned long pfm_gen_ia32_sel_reg_t::sel_os

Definition at line 60 of file pfmlib_gen_ia32.h.

## ◆ sel_pc

unsigned long pfm_gen_ia32_sel_reg_t::sel_pc

Definition at line 62 of file pfmlib_gen_ia32.h.

## ◆ sel_res2

unsigned long pfm_gen_ia32_sel_reg_t::sel_res2

Definition at line 68 of file pfmlib_gen_ia32.h.

## ◆ sel_unit_mask

unsigned long pfm_gen_ia32_sel_reg_t::sel_unit_mask

Definition at line 58 of file pfmlib_gen_ia32.h.

## ◆ sel_usr

unsigned long pfm_gen_ia32_sel_reg_t::sel_usr

Definition at line 59 of file pfmlib_gen_ia32.h.

## ◆ val

unsigned long long pfm_gen_ia32_sel_reg_t::val

Definition at line 55 of file pfmlib_gen_ia32.h.

The documentation for this union was generated from the following file:

- GaudiProfiling/src/component/perfmon/pfmlib_gen_ia32.h